﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:r="http://reference.e-government.gv.at/namespace/signaturevalidationresult/20100617#" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:p="http://reference.e-government.gv.at/namespace/persondata/20020228#" xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#" exclude-result-prefixes="fo r p dsig etsi">
	<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>
	<xsl:param name="versionParam" select="'1.0'"/>

	<xsl:template match="/r:Protocol">

		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:html="http://www.w3.org/1999/xhtml" writing-mode="lr-tb" hyphenate="false" text-align="start" font-family="Liberation Sans">

			<fo:layout-master-set>
				<fo:simple-page-master master-name="A4" page-width="210mm" page-height="297mm" margin-top="0.5cm" margin-right="1cm" margin-bottom="0.5cm" margin-left="1cm">
					<fo:region-body   margin="1cm"/>
					<fo:region-before extent="0.5cm"/>
					<fo:region-after  extent="0.5cm"/>
					<fo:region-start  extent="1cm"/>
					<fo:region-end    extent="1cm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:declarations>
				<x:xmpmeta xmlns:x="adobe:ns:meta/">
					<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
						<rdf:Description rdf:about=""
										 xmlns:dc="http://purl.org/dc/elements/1.1/"
										 xmlns:pdfuaid="http://www.aiim.org/pdfua/ns/id/">
							<!-- Dublin Core properties go here -->
							<dc:title>#{verification.result.subtitle}</dc:title>
							<dc:creator>#{application.name}</dc:creator>
							<dc:description>#{document.subject}</dc:description>
							<pdfuaid:part>1</pdfuaid:part>
						</rdf:Description>
					</rdf:RDF>
				</x:xmpmeta>
			</fo:declarations>
			
			<fo:page-sequence master-reference="A4">
				<fo:title>#{verification.result.subtitle}</fo:title>
				
				<!-- 
					<fo:static-content flow-name="xsl-region-after">
						<fo:block-container font-size="9pt" font-family="sans-serif">
							<fo:block text-align="center">Seite&#160;<fo:page-number/>&#160;von&#160;<fo:page-number-citation ref-id="last-page"/></fo:block>
						</fo:block-container>
					</fo:static-content>
				-->
			
				<fo:flow flow-name="xsl-region-body">
					<fo:block-container font-size="9pt" font-family="Liberation Sans">
						<fo:block font-size="16pt" font-family="Liberation Sans" font-weight="bold" text-align="center" space-before="0.8cm">#{verification.result.subtitle}</fo:block>
						<fo:block space-before="0.5cm">
							<xsl:apply-templates select="/r:Protocol/r:DocumentInfo"/>
						</fo:block>
						<xsl:if test="/r:Protocol/r:SignatureInfos">
							<fo:block space-before="0.5cm">
								<xsl:apply-templates select="/r:Protocol/r:SignatureInfos"/>
							</fo:block>
						</xsl:if>
						<!--
							<fo:block font-size="16pt" text-align="center" space-before="1.5cm" color="red">
								Das Format dieses Protokolls ist derzeit noch in Bearbeitung.
							</fo:block>
						-->
						
						<!-- fo:block font-size="14pt" font-weight="bold" space-before="0.5cm" space-after="3mm">#{verification.result.text.overview.disclaimer.advice}</fo:block-->
						<fo:block space-before="0.5cm" font-size="8pt" background-color="#eeeeee" text-align="justify" padding="5px">#{verification.result.text.overview.disclaimer.advice}: #{verification.result.text.overview.disclaimer.text}</fo:block>
						
					</fo:block-container>					
					<fo:block id="last-page"/>
				</fo:flow>

			</fo:page-sequence>

		</fo:root>

	</xsl:template>

	<!-- ==================== DocumentInfo ==================== -->
	<xsl:template match="/r:Protocol/r:DocumentInfo">
		<fo:block font-family="Liberation Sans" font-size="13pt" font-weight="bold" space-after="3mm" background-color="#cccccc">#{verification.result.label.file}</fo:block>
		<fo:table table-layout="fixed" width="100%">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
				<!-- file name -->
				<fo:table-row>
					<fo:table-cell>
						<fo:block>#{verification.result.label.file.name}</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<fo:block><xsl:value-of select="r:FileName"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<!-- file hash -->
				<xsl:if test="r:FileHash">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.file.hash}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="r:FileHash"/> (<xsl:value-of select="r:FileHash/@algorithm"/>, #{verification.result.label.file.hash.base64})</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				<!-- file size -->
				<fo:table-row>
					<fo:table-cell>
						<fo:block>#{verification.result.label.file.size}</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<fo:block><xsl:value-of select="r:FileSize"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<!-- file type -->
				<fo:table-row>
					<fo:table-cell>
						<fo:block>#{verification.result.label.file.type}</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<fo:block><xsl:value-of select="r:FileType"/></fo:block>
					</fo:table-cell>
				</fo:table-row>
				<!-- annotations -->
				<!--
				<xsl:if test="r:Annotations">
					<xsl:apply-templates select="r:Annotations"/>
				</xsl:if>
				-->
			</fo:table-body>
		</fo:table>
		<!-- annotations -->
		<xsl:if test="r:Annotations">
			<fo:block space-before="0.4cm"/>
			<xsl:apply-templates select="r:Annotations"/>
		</xsl:if>
	</xsl:template>

	<!-- ==================== DocumentInfo/Annotation ==================== -->
	<xsl:template match="r:Annotations">
		<xsl:variable name="numberofannotations" select="count(r:Annotation)"/>
		<fo:table table-layout="fixed" width="100%">
			<fo:table-column column-width="1.75cm"/>
			<fo:table-column column-width="15.25cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block color="red">#{verification.result.label.annotations.note}</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<xsl:for-each select="r:Annotation">
							<fo:block><xsl:value-of select="."/></fo:block>
							<xsl:if test="position() &lt; $numberofannotations">
								<fo:block space-before="1mm"/>
							</xsl:if>
						</xsl:for-each>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- ==================== DocumentInfo/Annotation ==================== -->
	<xsl:template match="r:AnnotationsOLD2COLUMNSTYLE">
		<xsl:variable name="numberofannotations" select="count(r:Annotation)"/>
		<fo:table-row>
			<fo:table-cell>
				<fo:block>
					<xsl:choose>
						<xsl:when test="$numberofannotations &gt; 1">
							#{verification.result.label.file.annotations}
						</xsl:when>
						<xsl:otherwise>
							#{verification.result.label.file.annotation}
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell padding-left="10px">
				<xsl:for-each select="r:Annotation">
					<fo:block><xsl:value-of select="."/></fo:block>
					<xsl:if test="position() &lt; $numberofannotations">
						<fo:block space-before="1mm"/>
					</xsl:if>
				</xsl:for-each>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

	<!-- ==================== SignatureInfos ==================== -->
	<xsl:template match="/r:Protocol/r:SignatureInfos">
		<xsl:variable name="numberofsiginfos" select="count(r:SignatureInfo)"/>
		<xsl:for-each select="r:SignatureInfo">
			<fo:block-container keep-together.within-column="always">
				<fo:block font-family="Liberation Sans" font-size="13pt" font-weight="bold" space-before="5mm" space-after="3mm" background-color="#cccccc">
					<xsl:choose>
					
						<xsl:when test="@verificationType='XML' or @verificationType='CMS' or @verificationType='PDF'">
							<xsl:choose>
								<xsl:when test="$numberofsiginfos &gt; 1">
									#{verification.result.label.signature} #<xsl:value-of select="position()"/>
								</xsl:when>
								<xsl:otherwise>
									#{verification.result.label.signature}
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						
						<xsl:when test="@verificationType='X509'">
							<xsl:choose>
								<xsl:when test="$numberofsiginfos &gt; 1">
									#{verification.result.text.overview.checks.certonly} #<xsl:value-of select="position()"/>
								</xsl:when>
								<xsl:otherwise>
									#{verification.result.text.overview.checks.certonly}
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						
						<xsl:otherwise>
							<fo:block color="red">XSL:FO: unknown verificationType '<xsl:apply-templates select="@verificationType"/>'</fo:block>							
						</xsl:otherwise>
						
					</xsl:choose>
				</fo:block>
				<fo:block font-size="11pt" font-weight="bold" space-before="3mm" space-after="1mm" background-color="#eeeeee">#{verification.result.label.checks}</fo:block>
				<xsl:apply-templates select="r:Checks"/>
				<!-- filter messages -->
				<xsl:if test="r:SignatureType or r:SignatureAnnotations or r:SignedFiles">
					<fo:block font-size="11pt" font-weight="bold" space-before="3mm" space-after="1mm" background-color="#eeeeee">#{verification.result.label.signature.details}</fo:block>
					<xsl:if test="r:SignatureType">
						<xsl:apply-templates select="r:SignatureType"/>
					</xsl:if>
					<xsl:if test="r:SignatureAnnotations">
						<xsl:apply-templates select="r:SignatureAnnotations"/>
					</xsl:if>
					<xsl:if test="r:SignedFiles">
						<xsl:apply-templates select="r:SignedFiles"/>
					</xsl:if>
					<xsl:if test="@signaturealgorithm">
						<xsl:apply-templates select="@signaturealgorithm"/>
					</xsl:if>
					<xsl:if test="@signatureByteRange">
						<xsl:apply-templates select="@signatureByteRange"/>
					</xsl:if>
				</xsl:if>
				
				<fo:block font-size="11pt" font-weight="bold" space-before="3mm" space-after="1mm" background-color="#eeeeee">
					<xsl:choose>
						<xsl:when test="@verificationType='XML' or @verificationType='CMS' or @verificationType='PDF'">#{verification.result.label.signer}</xsl:when>
						<xsl:when test="@verificationType='X509'">#{verification.result.label.signer.certonly}</xsl:when>
						<xsl:otherwise>
							<fo:block color="red">XSL:FO: unknown verificationType '<xsl:apply-templates select="@verificationType"/>'</fo:block>							
						</xsl:otherwise>
					</xsl:choose>
				</fo:block>
				
				<xsl:apply-templates select="r:Signer"/>
				<fo:block font-size="11pt" font-weight="bold" space-before="3mm" space-after="1mm" background-color="#eeeeee">#{verification.result.label.issuer}</fo:block>
				<xsl:apply-templates select="r:Issuer"/>
				<fo:block font-size="11pt" font-weight="bold" space-before="3mm" space-after="1mm" background-color="#eeeeee">#{verification.result.label.checks.certificate}</fo:block>
				<xsl:apply-templates select="r:Certificate"/>
				<xsl:if test="r:TrustedService/r:TSLIssuerCountryCode">
					<fo:block font-size="11pt" font-weight="bold" space-before="3mm" space-after="1mm" background-color="#eeeeee">#{verification.result.label.checks.TrustedService}</fo:block>
					<xsl:apply-templates select="r:TrustedService"/>
				</xsl:if>
			</fo:block-container>
		</xsl:for-each>
	</xsl:template>

	<!-- ==================== SignatureInfos/SignatureType ==================== -->
	<xsl:template match="r:SignatureType">
		<fo:table table-layout="fixed" width="100%" keep-together.within-column="always">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>#{verification.result.label.signature.details.typeofsignature}</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<fo:block><xsl:value-of select="."/></fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- ==================== SignatureInfos/SignatureAnnotation ==================== -->
	<xsl:template match="r:SignatureAnnotations">
		<xsl:variable name="numberofsigannotations" select="count(r:SignatureAnnotation)"/>
		<fo:table table-layout="fixed" width="100%" keep-together.within-column="always">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:choose>
								<xsl:when test="$numberofsigannotations &gt; 1">
									#{verification.result.label.signature.details.annotations}
								</xsl:when>
								<xsl:otherwise>
									#{verification.result.label.signature.details.annotation}
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<xsl:for-each select="r:SignatureAnnotation">
							<fo:block><xsl:value-of select="."/></fo:block>
							<xsl:if test="position() &lt; $numberofsigannotations">
								<fo:block space-before="2mm"/>
							</xsl:if>
						</xsl:for-each>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<xsl:template match="@signaturealgorithm">
		<fo:table table-layout="fixed" width="100%"
			keep-together.within-column="always">
			<fo:table-column column-width="5cm" />
			<fo:table-column column-width="12cm" />
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							#{verification.result.label.signature.details.signaturealgorithm}
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<fo:block>
							<xsl:value-of
								select="parent::r:SignatureInfo/@signaturealgorithm" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	
		<xsl:template match="@signatureByteRange">
		<fo:table table-layout="fixed" width="100%"
			keep-together.within-column="always">
			<fo:table-column column-width="5cm" />
			<fo:table-column column-width="12cm" />
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							#{verification.result.label.signature.details.signaturebyterange}
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<fo:block>
							<xsl:value-of
								select="parent::r:SignatureInfo/@signatureByteRange" />
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
	
<!-- ==================== SignatureInfos/SignedFiles ==================== -->
	<xsl:template match="r:SignedFiles">
		<xsl:variable name="numberofsignedfiles" select="count(r:SignedFile)"/>
		<fo:table table-layout="fixed" width="100%" keep-together.within-column="always">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell>
						<fo:block>
							<xsl:choose>
								<xsl:when test="$numberofsignedfiles &gt; 1">
									#{verification.result.label.signature.details.signedFiles}
								</xsl:when>
								<xsl:otherwise>
									#{verification.result.label.signature.details.signedFile}
								</xsl:otherwise>
							</xsl:choose>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<xsl:for-each select="r:SignedFile">
							<fo:block><xsl:value-of select="."/></fo:block>
							<xsl:if test="position() &lt; $numberofsignedfiles">
								<fo:block space-before="2mm"/>
							</xsl:if>
						</xsl:for-each>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>
		
	<!-- ==================== SignatureInfos/SignatureInfo/Certificate ==================== -->
	<xsl:template match="r:Certificate">
		<fo:table table-layout="fixed" width="100%">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
				<!-- Name -->
				<xsl:if test="r:SerialNumber">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.certificate.serial}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block>#{verification.result.label.certificate.serial.dec}:&#160;<xsl:value-of select="r:SerialNumber/r:Dec"/>, #{verification.result.label.certificate.serial.hex}:&#160;<xsl:value-of select="r:SerialNumber/r:Hex"/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				<!-- Qualitaet -->
				<fo:table-row>
					<fo:table-cell>
						<fo:block>#{verification.result.label.certificate.quality}</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<fo:block>
							<xsl:choose>
								<xsl:when test="r:OfficialSignatureCertificateStatus/text() = 'CONFIRMED'">
									<xsl:choose>
										<xsl:when test="r:QualifiedCertificate">#{verification.result.label.certificate.quality.officialsignaturequalified}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if></xsl:when>
										<xsl:otherwise>#{verification.result.label.certificate.quality.officialsignaturenotqualified}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if></xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="r:QualifiedCertificate">
											<xsl:choose>
												<xsl:when test="r:QualifiedSource">
													<xsl:choose>
														<xsl:when test="r:QualifiedSource = 'tsl'">
															#{verification.result.label.certificate.quality.qualified.src.TSL}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if>
														</xsl:when>
														<xsl:when test="r:QualifiedSource = 'certificate'">
															#{verification.result.label.certificate.quality.qualified.src.cert}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if>
														</xsl:when>
														<xsl:otherwise>
															#{verification.result.label.certificate.quality.qualified}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													#{verification.result.label.certificate.quality.qualified}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:otherwise>#{verification.result.label.certificate.quality.notqualified}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if></xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
							<xsl:when test="r:SecureSignatureCreationDevice">
								<xsl:choose>
									<xsl:when test="r:SecureSignatureCreationDevice = 'tsl'">, #{verification.result.label.secure.signature.creation.device.src.TSL}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if></xsl:when>
									<xsl:when test="r:SecureSignatureCreationDevice = 'certificate'">, #{verification.result.label.secure.signature.creation.device.src.cert}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if></xsl:when>
									<xsl:otherwise>, #{verification.result.label.secure.signature.creation.device}<xsl:if test="r:Annotation">&#160;(<xsl:value-of select="r:Annotation"/>)</xsl:if></xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							</xsl:choose>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<!-- zeitliche Gültigkeit -->
				<fo:table-row>
					<fo:table-cell>
						<fo:block>#{verification.result.label.certificate.validity}</fo:block>
					</fo:table-cell>
					<fo:table-cell padding-left="10px">
						<xsl:choose>
							<xsl:when test="r:Validity">
								<fo:block>#{verification.result.label.certificate.validity.from} <xsl:value-of select="r:Validity/r:NotBefore"/> #{verification.result.label.certificate.validity.to} <xsl:value-of select="r:Validity/r:NotAfter"/></fo:block>
								<xsl:if test="r:Validity/r:ValidityCheck">
									<fo:block><xsl:value-of select="r:Validity/r:ValidityCheck"/></fo:block>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<fo:block>#{verification.result.label.certificate.validity.notdeterminable}</fo:block>
							</xsl:otherwise>
						</xsl:choose>
					</fo:table-cell>
				</fo:table-row>
				<!-- Eigenschaften -->
				<xsl:if test="r:Attributes">
					<xsl:variable name="numberofattributes" select="count(r:Attributes/r:Attribute)"/>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.certificate.egovoids}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block>
								<xsl:for-each select="r:Attributes/r:Attribute">
									<xsl:value-of select="."/><xsl:if test="position() &lt; $numberofattributes"><xsl:text>, </xsl:text></xsl:if>
								</xsl:for-each>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				<!-- Verwendungszweck -->
				<xsl:if test="r:KeyUsages">
					<xsl:variable name="numberofkeyusages" select="count(r:KeyUsages/r:KeyUsage)"/>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.certificate.keyusage}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block>
								<xsl:for-each select="r:KeyUsages/r:KeyUsage">
									<xsl:value-of select="."/><xsl:if test="position() &lt; $numberofkeyusages"><xsl:text>, </xsl:text></xsl:if>
								</xsl:for-each>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				<!-- Zertifizierungsstatement -->
				<xsl:if test="r:CPS">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.certificate.cps}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:for-each select="r:CPS/r:URIs/r:URI">
								<fo:block>
									<xsl:variable name="cpsurl" select="."/>
									<fo:basic-link external-destination="url({$cpsurl})"><xsl:value-of select="."/></fo:basic-link>
								</fo:block>
							</xsl:for-each>
							<xsl:for-each select="r:CPS/r:Texts/r:Text">
								<fo:block><xsl:value-of select="."/></fo:block>
							</xsl:for-each>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
			</fo:table-body>
		</fo:table>
	</xsl:template>

<!-- ==================== SignatureInfos/SignatureInfo/TrustedService ==================== -->
	<xsl:template match="r:TrustedService">
		<fo:table table-layout="fixed" width="100%">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
				<!-- IssuerCountry -->
				<xsl:if test="r:TSLIssuerCountryCode">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.trustservice.issuerCountry}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="r:TSLIssuerCountryCode"/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				<!-- ServiceTypeStatus -->
				<xsl:if test="r:ServiceTypeStatus">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.trustservice.serviceTypeStatus}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/undersupervision' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/accredited' ">
									<fo:block color="green"><xsl:value-of select="r:ServiceTypeStatus"/></fo:block>
								</xsl:when>
								<xsl:when test="r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/accreditationceased' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/accreditationrevoked' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/deprecatedatnationallevel' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/deprecatedbynationallaw' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/supervisionceased' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/supervisionrevoked' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/withdrawn'">
									<fo:block color="red"><xsl:value-of select="r:ServiceTypeStatus"/></fo:block>
								</xsl:when>
								<xsl:when test="r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/recognisedatnationallevel' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/setbynationallaw' or
												r:ServiceTypeStatus = 'http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/supervisionincessation' ">
									<fo:block color="#FFEB3B"><xsl:value-of select="r:ServiceTypeStatus"/></fo:block>
								</xsl:when>
								<xsl:otherwise>
									<fo:block><xsl:value-of select="r:ServiceTypeStatus"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				<!-- ServiceTypeIdentifier -->
				<xsl:if test="r:ServiceTypeIdentifier">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.trustservice.serviceTypeIdentifier}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="r:ServiceTypeIdentifier"/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				<!-- Qualifiers -->
				<xsl:if test="r:Qualifiers">
					<xsl:variable name="numberofqualifiers" select="count(r:Qualifiers/r:Qualifier)"/>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.trustservice.qualifier}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:for-each select="r:Qualifiers/r:Qualifier">
								<fo:block><xsl:value-of select="."/></fo:block>
								<xsl:if test="position() &lt; numberofqualifiers">
									<fo:block space-before="1mm"/>
								</xsl:if>
							</xsl:for-each>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				
				<!-- AdditionalServiceInformation -->
				<xsl:if test="r:AdditionalServiceInformations">
				<xsl:variable name="numberofAdditionalServiceInformation" select="count(r:AdditionalServiceInformations/r:AdditionalServiceInformation)"/>
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.trustservice.additionalServiceInformation}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:for-each select="r:AdditionalServiceInformations/r:AdditionalServiceInformation">
								<fo:block><xsl:value-of select="."/></fo:block>
								<xsl:if test="position() &lt; numberofAdditionalServiceInformation">
									<fo:block space-before="1mm"/>
								</xsl:if>
							</xsl:for-each>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				
				
			</fo:table-body>
		</fo:table>
	</xsl:template>


	<!-- ==================== SignatureInfos/Issuer ==================== -->
	<xsl:template match="r:Issuer">
		<fo:table table-layout="fixed" width="100%">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>

				<!-- Name -->
				<xsl:variable name="numberofCNs" select="count(r:Name)"/>
				<xsl:for-each select="r:Name">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofCNs &gt; 1">
										#{verification.result.label.issuer.name} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.issuer.name}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Organisationseinheit -->
				<xsl:variable name="numberofOUs" select="count(r:OrganizationalUnit)"/>
				<xsl:for-each select="r:OrganizationalUnit">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofOUs &gt; 1">
										#{verification.result.label.issuer.organizationalunit} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.issuer.organizationalunit}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Organisation -->
				<xsl:variable name="numberofOs" select="count(r:Organization)"/>
				<xsl:for-each select="r:Organization">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofOs &gt; 1">
										#{verification.result.label.issuer.organization} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.issuer.organization}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>

				<!-- Staat -->
				<xsl:variable name="numberofCs" select="count(r:Country)"/>
				<xsl:for-each select="r:Country">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofCs &gt; 1">
										#{verification.result.label.issuer.country} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.issuer.country}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>

				<!-- Email -->
				<xsl:variable name="numberofEmails" select="count(r:Email)"/>
				<xsl:for-each select="r:Email">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofEmails &gt; 1">
										#{verification.result.label.issuer.email} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.issuer.email}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Seriennummer -->
				<xsl:variable name="numberofSNs" select="count(r:SerialNumber)"/>
				<xsl:for-each select="r:SerialNumber">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofSNs &gt; 1">
										#{verification.result.label.issuer.serial} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.issuer.serial}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="r:Hex">
									<fo:block>#{verification.result.label.issuer.serial.dec}:&#160;<xsl:value-of select="r:Dec"/>, #{verification.result.label.issuer.serial.hex}:&#160;<xsl:value-of select="r:Hex"/></fo:block>
								</xsl:when>
								<xsl:otherwise>
									<fo:block><xsl:value-of select="r:Dec"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>

			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- ==================== SignatureInfos/Signer ==================== -->
	<xsl:template match="r:Signer">
		<fo:table table-layout="fixed" width="100%">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
			
				<!-- Name -->
				<xsl:variable name="numberofCNs" select="count(r:Name)"/>
				<xsl:for-each select="r:Name">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofCNs &gt; 1">
										#{verification.result.label.signer.name} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.signer.name}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Title -->
				<xsl:variable name="numberofTs" select="count(r:Title)"/>
				<xsl:for-each select="r:Title">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofTs &gt; 1">
										#{verification.result.label.signer.title} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.signer.title}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Organisationseinheit -->
				<xsl:variable name="numberofOUs" select="count(r:OrganizationalUnit)"/>
				<xsl:for-each select="r:OrganizationalUnit">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofOUs &gt; 1">
										#{verification.result.label.signer.organizationalunit} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.signer.organizationalunit}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Organisation -->
				<xsl:variable name="numberofOs" select="count(r:Organization)"/>
				<xsl:for-each select="r:Organization">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofOs &gt; 1">
										#{verification.result.label.signer.organization} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.signer.organization}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Staat -->
				<xsl:variable name="numberofCs" select="count(r:Country)"/>
				<xsl:for-each select="r:Country">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofCs &gt; 1">
										#{verification.result.label.signer.country} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.signer.country}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Email -->
				<xsl:variable name="numberofEmails" select="count(r:Email)"/>
				<xsl:for-each select="r:Email">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofEmails &gt; 1">
										#{verification.result.label.signer.email} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.signer.email}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<fo:block><xsl:value-of select="."/></fo:block>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
				<!-- Seriennummer -->
				<xsl:variable name="numberofSNs" select="count(r:SerialNumber)"/>
				<xsl:for-each select="r:SerialNumber">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>
								<xsl:choose>
									<xsl:when test="$numberofSNs &gt; 1">
										#{verification.result.label.signer.serial} #<xsl:value-of select="position()"/>
									</xsl:when>
									<xsl:otherwise>
										#{verification.result.label.signer.serial}
									</xsl:otherwise>
								</xsl:choose>
							</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="r:Hex">
									<fo:block>#{verification.result.label.signer.serial.dec}:&#160;<xsl:value-of select="r:Dec"/>, #{verification.result.label.signer.serial.hex}:&#160;<xsl:value-of select="r:Hex"/></fo:block>
								</xsl:when>
								<xsl:otherwise>
									<fo:block><xsl:value-of select="r:Dec"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:for-each>
				
			</fo:table-body>
		</fo:table>
	</xsl:template>

	<!-- ==================== SignatureInfos/Checks ==================== -->
	<xsl:template match="r:Checks">
		<fo:table table-layout="fixed" width="100%" keep-together.within-column="always">
			<!--
			<fo:table-column column-width="7cm"/>
			<fo:table-column column-width="10cm"/>
			-->
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
				
				<!-- Signatur- bzw. Verifikationszeitpunkt -->
				<xsl:choose>
					<xsl:when test="r:SigningTime = r:VerificationTime or not (r:SigningTime or r:VerificationTime)">
						<fo:table-row>
							<fo:table-cell>
								<fo:block>#{verification.result.label.checks.sig_and_verificationtime}</fo:block>
							</fo:table-cell>
							<fo:table-cell padding-left="10px">
								<fo:block>
									<xsl:choose>
										<xsl:when test="r:VerificationTime"><xsl:value-of select="r:VerificationTime"/></xsl:when>
										<xsl:otherwise>#{verification.result.label.checks.sig_and_verificationtime.unknown}</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="not (parent::r:SignatureInfo/@verificationType = 'X509')">
							<fo:table-row>
								<fo:table-cell>
									<fo:block>#{verification.result.label.checks.signingtime}</fo:block>
								</fo:table-cell>
								<fo:table-cell padding-left="10px">
									<fo:block>
										<xsl:choose>
											<xsl:when test="r:SigningTime"><xsl:value-of select="r:SigningTime"/></xsl:when>
											<xsl:otherwise>#{verification.result.label.checks.signingtime.unknown}</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:if>
						<fo:table-row>
							<fo:table-cell>
								<fo:block>
									<xsl:choose>
										<xsl:when test="parent::r:SignatureInfo/@verificationType = 'X509'">#{verification.result.label.checks.x509.verificationtime}</xsl:when>
										<xsl:otherwise>#{verification.result.label.checks.verificationtime}</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell padding-left="10px">
								<fo:block>
									<xsl:choose>
										<xsl:when test="r:VerificationTime"><xsl:value-of select="r:VerificationTime"/></xsl:when>
										<xsl:otherwise>#{verification.result.label.checks.verificationtime.unknown}</xsl:otherwise>
									</xsl:choose>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>
			</fo:table-body>
		</fo:table>

		<fo:table table-layout="fixed" width="100%" space-before="2mm">
			<fo:table-column column-width="5cm"/>
			<fo:table-column column-width="12cm"/>
			<fo:table-body>
			
				<!-- Signaturprüfung -->
				<xsl:if test="r:SignatureCheck">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.signature}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="(r:SignatureCheck[@code='0']) and  (r:SignatureCheck[@warning='1'])">
									<fo:block color="orange"><xsl:value-of select="r:SignatureCheck"/></fo:block>
								</xsl:when>
								<xsl:when test="r:SignatureCheck[@code='0']">
									<fo:block color="green"><xsl:value-of select="r:SignatureCheck"/></fo:block>
								</xsl:when>								
								<xsl:otherwise>
									<fo:block color="red"><xsl:value-of select="r:SignatureCheck"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>

				<!-- Manifestprüfung -->
				<xsl:if test="r:ManifestCheck">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.checks.signaturemanifest}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="r:ManifestCheck[@code='0']">
									<fo:block color="green"><xsl:value-of select="r:ManifestCheck"/></fo:block>
								</xsl:when>
								<xsl:otherwise>
									<fo:block color="red"><xsl:value-of select="r:ManifestCheck"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
				
				<!-- XMLDSIG-Manifestprüfung -->
				<xsl:if test="r:XMLDSIGManifestCheck">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.checks.xmldsigmanifest}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="r:XMLDSIGManifestCheck[@code='0']">
									<fo:block color="green"><xsl:value-of select="r:XMLDSIGManifestCheck"/></fo:block>
								</xsl:when>
								<xsl:otherwise>
									<fo:block color="red"><xsl:value-of select="r:XMLDSIGManifestCheck"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>
					
				<!-- Zertifikatprüfung -->
				<xsl:if test="r:CertificateCheck">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.checks.certificate}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="r:CertificateCheck[@code='0']">
									<fo:block color="green"><xsl:value-of select="r:CertificateCheck"/></fo:block>
								</xsl:when>
								<xsl:otherwise>
									<fo:block color="red"><xsl:value-of select="r:CertificateCheck"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>

				<!-- Zertifikatprüfung -->
				<xsl:if test="r:QualifiedCertificateCheck">
					<fo:table-row>
						<fo:table-cell>
							<fo:block>#{verification.result.label.checks.qualifed_certificate}</fo:block>
						</fo:table-cell>
						<fo:table-cell padding-left="10px">
							<xsl:choose>
								<xsl:when test="r:QualifiedCertificateCheck[@code='0']">
									<fo:block color="green"><xsl:value-of select="r:QualifiedCertificateCheck"/></fo:block>
								</xsl:when>
								<xsl:otherwise>
									<fo:block color="red"><xsl:value-of select="r:QualifiedCertificateCheck"/></fo:block>
								</xsl:otherwise>
							</xsl:choose>
						</fo:table-cell>
					</fo:table-row>
				</xsl:if>

			</fo:table-body>
		</fo:table>
	</xsl:template>
</xsl:stylesheet>
