<xsl:stylesheet xmlns:xa="http://www.egiz.gv.at/namespaces/20060713#" xmlns:pr="http://reference.e-government.gv.at/namespace/persondata/20020228#" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<html xmlns="http://www.w3.org/1999/xhtml" xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#">
			<head>
				<title>
					<xsl:value-of select="/xa:Antrag/xa:Titel"/>
				</title>
			</head>
			<body>
				<table align="left" border="0" width="100%">
					<tr>
						<td align="left" colspan="3">
							<h2>
								<xsl:value-of select="/xa:Antrag/xa:Titel"/>
							</h2>
						</td>
					</tr>
					<tr>
						<td bgcolor="silver" colspan="3" text="black">
			Absender/in
			</td>
					</tr>
				  <tr>
					 	<td align="right" width="17%">Akad. Grad</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:Name/pr:Affix"/>
						</td>
				  </tr>
					<tr>
						<td align="right" width="17%">Vorname</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:Name/pr:GivenName"/>
						</td>
					</tr>
					<tr>
						<td align="right" width="17%">Familienname</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="Von/Title"/>
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:Name/pr:FamilyName"/>
						</td>
					</tr>
					<tr>
						<td align="right" width="17%">Geburtsdatum</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:DateOfBirth"/>
						</td>
					</tr>
					<tr>
						<td align="right" width="17%">Geburtsort</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:PlaceOfBirth"/>
						</td>
					</tr>
					<tr>
						<td align="right" width="17%">E-Mail für  Empfangsbestätigung</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:InternetAddress/pr:Address"/>
						</td>
					</tr>
					<tr>
						<td bgcolor="silver" colspan="3" text="black">
			Zur Anfrage im Register benötigte Personenmerkmale
			</td>
					</tr>
					<tr>
						<td align="right" width="17%">
			Geschlecht
			</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:if test="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:Sex = 'male'">männlich</xsl:if>
							<xsl:if test="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:Sex != 'male'">weiblich</xsl:if>
						</td>
					</tr>
					<tr>
						<td align="right" width="17%">
			Frühere Familiennamen
			</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:AlternativeName/pr:FamilyName"/>
						</td>
					</tr>
					<tr>
						<td align="right" width="17%">
			Vorname des Vaters
			</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:relatedPerson[1]/pr:PhysicalPerson/pr:Name/pr:GivenName[../../../pr:TypeOfRelation='family:Parent']"/>
						</td>
					</tr>
					<tr>
						<td align="right" width="17%">
			Vorname der Mutter
			</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:PhysicalPerson/pr:relatedPerson[2]/pr:PhysicalPerson/pr:Name/pr:GivenName[../../../pr:TypeOfRelation='family:Parent']"/>
						</td>
					</tr>
					<tr>
						<td bgcolor="silver" colspan="3" text="black">
			Ergeht an
			</td>
					</tr>
					<tr>
						<td align="right" width="17%">Adressat</td>
						<td width="3%"/>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Empfaenger/pr:PersonData/pr:CorporateBody/pr:FullName"/>
						</td>
					</tr>
					<tr>
						<td bgcolor="silver" colspan="3" text="black">
			Zustellung erfolgt an folgende Adresse
			</td>
					</tr>
					<tr>
						<td align="right" width="17%">Zustellart</td>
						<td nowrap="nowrap" valign="middle" width="3%">
			</td>
						<td width="80%">
							<xsl:value-of select="/xa:Antrag/xa:Antragsdaten/xa:DeliveryType"/>
							<xsl:text> </xsl:text>
						</td>
					</tr>
					

			<tr>
				<td align="right" width="17%">Zustellqualität</td>
				<td nowrap="nowrap" valign="middle" width="3%"></td>
				<td width="80%"><xsl:value-of select="/xa:Antrag/xa:Antragsdaten/xa:DeliveryQuality"/></td>
			</tr>
					
					
					
					<xsl:choose>
						<xsl:when test="/xa:Antrag/xa:Antragsdaten/xa:TakeZMRAdress='true'">
							<tr>
								<td align="right" width="17%">Zustelladresse</td>
								<td nowrap="nowrap" valign="middle" width="3%">
			</td>
								<td width="80%">
			Hauptwohnsitz gemäß ZMR
			</td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr>
								<td align="right" width="17%">Strasse</td>
								<td nowrap="nowrap" valign="middle" width="3%">
			</td>
								<td width="80%">
									<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:DeliveryAddress/pr:StreetName"/>
								</td>
							</tr>
							<tr>
								<td align="right" width="17%">Hausnummer</td>
								<td nowrap="nowrap" valign="middle" width="3%">
			</td>
								<td width="80%">
									<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:DeliveryAddress/pr:BuildingNumber"/>
									<xsl:if test="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:DeliveryAddress/pr:Unit != ''">
			/<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:DeliveryAddress/pr:Unit"/>
									</xsl:if>
									<xsl:if test="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:DeliveryAddress/pr:DoorNumber != ''">
			/<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:DeliveryAddress/pr:DoorNumber"/>
									</xsl:if>
								</td>
							</tr>
							<tr>
								<td align="right" width="17%">Postleitzahl</td>
								<td nowrap="nowrap" valign="middle" width="3%">
			</td>
								<td width="80%">
									<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:PostalCode"/>
								</td>
							</tr>
							<tr>
								<td align="right" width="17%">Ort</td>
								<td nowrap="nowrap" valign="middle" width="3%">
			</td>
								<td width="80%">
									<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:Municipality"/>
								</td>
							</tr>
							<tr>
								<td align="right" width="17%">Staat</td>
								<td nowrap="nowrap" valign="middle" width="3%">
			</td>
								<td width="80%">
									<xsl:value-of select="/xa:Antrag/xa:Antragssteller/pr:PersonData/pr:CompactPostalAddress/pr:CountryName"/>
								</td>
							</tr>
						</xsl:otherwise>
					</xsl:choose>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
