<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sl11="http://www.buergerkarte.at/namespaces/securitylayer/20020831#" xmlns:sl10="http://www.buergerkarte.at/namespaces/securitylayer/20020225#" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#" xmlns:p="http://reference.e-government.gv.at/namespace/persondata/20020228#" xmlns:saml="urn:oasis:names:tc:SAML:1.0:assertion" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:zs="http://reference.e-government.gv.at/namespace/zustellung/msg">
	<xsl:template match="/">
		<html xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#">
			<body>
				<xsl:call-template name="SignView"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="SignView">
		<table border="1" width="775" align="center">
			<tr>
				<td colspan="2">
					<xsl:if test="//zs:Success">
						<h2>Zustellnachweis</h2>
					</xsl:if>
					<xsl:if test="//zs:Error">
						<h2>Fehlermeldung</h2>
					</xsl:if>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Zustelldienst</b>
				</td>
				<td width="575">
					<xsl:value-of select="//zs:DeliveryService"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Applikations-ID</b>
				</td>
				<td width="575">
					<xsl:value-of select="//zs:AppDeliveryID"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Zustelldienst-ID</b>
				</td>
				<td width="575">
					<xsl:value-of select="//zs:ZSDeliveryID"/>
				</td>
			</tr>
			<xsl:if test="//zs:ConfirmationTimestamp">
				<tr>
					<td width="200">
						<b>Datum</b>
					</td>
					<td width="575">
						<xsl:value-of select="//zs:ConfirmationTimestamp"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="//zs:NotificationsPerformed/zs:RecipientNotification">
				<tr>
					<td width="200">
						<b>Verständigungen</b>
					</td>
					<td width="575">
						<xsl:for-each select="//zs:NotificationsPerformed/zs:RecipientNotification">
							<xsl:value-of select="zs:Timestamp"/> (<xsl:value-of select="zs:NotificationMethod"/>)
					</xsl:for-each>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="//zs:NotificationsPerformed/zs:Notification">
				<tr>
					<td width="200">
						<b>Verständigungen</b>
					</td>
					<td width="575">
						<xsl:for-each select="//zs:NotificationsPerformed/zs:Notification">
							<xsl:value-of select="zs:Timestamp"/> (<xsl:value-of select="zs:NotificationMethod"/>)
					</xsl:for-each>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="//zs:Error/zs:ErrorInfo/zs:Code">
				<tr>
					<td width="200">
						<b>Fehlercode:</b>
					</td>
					<td width="575">
						<xsl:value-of select="//zs:Error/zs:ErrorInfo/zs:Code"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="//zs:Error/zs:ErrorInfo/zs:Text">
				<tr>
					<td width="200">
						<b>Fehlerbeschreibung:</b>
					</td>
					<td width="575">
						<xsl:value-of select="//zs:Error/zs:ErrorInfo/zs:Text"/>
					</td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>
</xsl:stylesheet>
