<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns="http://www.stuzza.at/namespaces/eps/protocol/20031001" xmlns:sl11="http://www.buergerkarte.at/namespaces/securitylayer/20020831#" xmlns:sl10="http://www.buergerkarte.at/namespaces/securitylayer/20020225#" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#" xmlns:atrule="http://www.stuzza.at/namespaces/austrianrules/20031001" xmlns:epi="http://www.ecbs.org/epi/15092003" xmlns:eps="http://www.stuzza.at/namespaces/eps/payment/20031001" xmlns:ns1="http://www.stuzza.at/namespaces/eps/protocol/20031001" xmlns:ns2="http://www.stuzza.at/namespaces/eps/paymentrequest/20031001" xmlns:ns3="http://www.ecbs.org/epi/15092003">
	<!--	<xsl:include href="http://labs.cio.gv.at/egov/styles/SLResponse1.xsl"/> -->
	<xsl:template match="/">
		<!-- HTML Hauptteil -->
		<html xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#">
			<body>
				<xsl:call-template name="SignView"/>
				<!--
				<xsl:call-template name="DisplaySigBlock">
					<xsl:with-param name="metainfo">
						<xsl:value-of select="$metainfo"/>
					</xsl:with-param>
				</xsl:call-template>
-->
			</body>
		</html>
	</xsl:template>
	<xsl:template name="SignView">
		<table border="1" width="775" align="center" summary="Zahlungsbestätigung">
			<tr>
				<td colspan="2">
					<h2>
                                         Zahlungsbestätigung
                                </h2>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Datum</b>
				</td>
				<td width="575">
					<xsl:value-of select="//eps:PayConApprovalTime"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Bank</b>
				</td>
				<td width="575">
					<!--					<xsl:value-of select="//ApprovingUnitBankIdentifier"/> -->
					Qenta
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Verwendungszweck</b>
				</td>
				<td width="575">
					<xsl:value-of select="//epi:RemittanceIdentifier"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Betrag (<xsl:value-of select="//epi:InstructedAmount/@AmountCurrencyIdentifier"/>)</b>
				</td>
				<td width="575">
					<xsl:value-of select="//epi:InstructedAmount"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Referenz-Identifikator</b>
				</td>
				<td width="575">
					<xsl:value-of select="//eps:PaymentReferenceIdentifier"/>
				</td>
			</tr>
			<tr>
				<td width="200">
					<b>Status</b>
				</td>
				<td width="575">
					<xsl:value-of select="//eps:StatusCode"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="DisplaySigBlock">
		<xsl:param name="dictionary"/>
		<xsl:variable name="owner">
			<!--xsl:value-of select="$metainfo"/-->
		</xsl:variable>
		<xsl:variable name="serialnumber">
			<xsl:value-of select="substring-before(substring-after($owner,'serialNumber='),',')"/>
		</xsl:variable>
		<xsl:variable name="title">
			<xsl:value-of select="substring-before(substring-after($owner,'T='),',')"/>
		</xsl:variable>
		<xsl:variable name="commonname">
			<xsl:value-of select="substring-before(substring-after($owner,'CN='),',')"/>
		</xsl:variable>
		<xsl:variable name="aussteller">
			<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningCertificate/etsi:Cert/etsi:IssuerSerial/dsig:X509IssuerName"/>
		</xsl:variable>
		<xsl:variable name="organisation">
			<xsl:value-of select="substring-before(substring-after($aussteller,'O='),',')"/>
		</xsl:variable>
		<xsl:variable name="unit">
			<xsl:value-of select="substring-before(substring-after($aussteller,'OU='),',')"/>
		</xsl:variable>
		<br/>
		<table WIDTH="775" border="1" bgcolor="#eeeeee" align="center" CELLPADDING="4">
			<tbody>
				<tr>
					<td WIDTH="100">
						<strong>Signaturwert</strong>
					</td>
					<td WIDTH="675" colspan="2">
						<xsl:value-of select="//dsig:Signature/dsig:SignatureValue"/>
					</td>
				</tr>
				<tr>
					<td align="center" rowspan="5">
						<xsl:variable name="Subject"> SUBJECTNAME 
      <!--							
							<xsl:value-of select="$metainfo"/>  -->
						</xsl:variable>
						<xsl:choose>
							<xsl:when test="contains($Subject,'Wien')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/wi_wapp.gif" border="0" alt="Wappen Wien"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Karnten')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/kn_wapp.gif" border="0" alt="Wappen Kärnten"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Niederoesterreich')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/no_wapp.gif" border="0" alt="Wappen Niederösterreich"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Oeberoesterreich')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/oo_wapp.gif" border="0" alt="Wappen Oberösterreich"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Salzburg')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/sb_wapp.gif" border="0" alt="Wappen Salzburg"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Tirol')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/ti_wapp.gif" border="0" alt="Wappen Tirol"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Steiermark')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/sm_wapp.gif" border="0" alt="Wappen Steiermark"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Vorarlberg')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/vb_wapp.gif" border="0" alt="Wappen Vorarlberg"/>
							</xsl:when>
							<xsl:when test="contains($Subject,'Burgenland')">
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/bg_wapp.gif" border="0" alt="Wappen Burgenland"/>
							</xsl:when>
							<xsl:otherwise>
								<img height="100" width="100" src="http://labs.cio.gv.at/perlapps/icons/signature/egov.jpg" border="0" alt="Logo Gütesiegel"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td WIDTH="100">
						<strong>Formular/Verfahren</strong>
					</td>
					<td WIDTH="575">
						urn:publicid:gv.at:service+eps-2.0
					</td>
				</tr>
				<!--				<tr>
					<td WIDTH="100">
						<strong>Datum</strong>
					</td>
					<td WIDTH="575">
						<xsl:value-of select="//dsig:Signature/dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningTime"/>
					</td>
				</tr>  -->
				<tr>
					<td WIDTH="100">
						<strong>Inhaber</strong>
					</td>
					<td WIDTH="575">
						<xsl:if test="not($title='')">
							<xsl:value-of select="$title"/>
							<xsl:text> </xsl:text>
						</xsl:if>
						<xsl:value-of select="$commonname"/>
					</td>
				</tr>
				<tr>
					<td WIDTH="100">
						<strong>Aussteller</strong>
					</td>
					<td WIDTH="575">
						<xsl:value-of select="$organisation"/>, <xsl:value-of select="$unit"/>
					</td>
				</tr>
				<tr>
					<td WIDTH="100">
						<strong>Seriennummer</strong>
					</td>
					<td WIDTH="575">
						<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningCertificate/etsi:Cert/etsi:IssuerSerial/dsig:X509SerialNumber"/>:<xsl:value-of select="$serialnumber"/>
					</td>
				</tr>
				<!--							</tbody>
						</table>
					</td> 
				</tr>  -->
			</tbody>
		</table>
	</xsl:template>
</xsl:stylesheet>
