<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:b="http://reference.e-government.gv.at/namespace/notificationdata/20040510#" xmlns:p="http://reference.e-government.gv.at/namespace/persondata/de/20040201#" xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:c="http://www.egiz.gv.at/namespace/notification/20060727#" exclude-result-prefixes="fo b p c dsig etsi">
	<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>
	<xsl:param name="versionParam" select="'1.0'"/>
	<!-- ========================= -->
	<!-- root elemen -->
	<!-- ========================= -->
	<xsl:template match="/b:Bescheid">
		<xsl:variable name="gender" select="b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geschlecht"/>
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:html="http://www.w3.org/1999/xhtml" writing-mode="lr-tb" hyphenate="false" text-align="start">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="all-pages" page-width="210mm" page-height="297mm" margin-top="2cm" margin-bottom="1cm" margin-left="15mm" margin-right="20mm">
					<fo:region-body background-image="adler_url" background-repeat="no-repeat" background-position-vertical="48mm" background-position-horizontal="18mm" column-count="1" column-gap="12pt"/>
					<!--fo:region-before region-name="page-header" extent="1in" display-align="before"/>
					<fo:region-after region-name="page-footer" extent="1in" display-align="after"/>
					<fo:region-start extent="1in"/>
					<fo:region-end extent="1in"/-->
				</fo:simple-page-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="all-pages">
				<fo:flow flow-name="xsl-region-body">
					<fo:block font-size="11pt" font-family="Courier">
						<fo:table table-layout="fixed" width="165mm" border-collapse="separate">
							<fo:table-column column-width="63mm"/>
							<fo:table-column column-width="102mm"/>
							<fo:table-body>
								<fo:table-row height="12mm">
									<fo:table-cell>
										<fo:block line-height="1.1" text-align="left">
											<xsl:value-of select="/b:Bescheid/b:Aussteller/b:Behoerde/p:VollerName/text()"/>
										</fo:block>
										<fo:block line-height="1.1" text-align="center">
											<xsl:value-of select="/b:Bescheid/b:Aussteller/b:Behoerde/p:Verwaltungseinheit/text()"/>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell height="12mm">
										<fo:block>
											<fo:block line-height="1.1">Wasagasse 22</fo:block>
											<fo:block line-height="1.1">1090 Wien</fo:block>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right">
										<fo:block line-height="1.1">Gebühr entrichtet</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell height="12mm" number-columns-spanned="2">
										<fo:block>
											<fo:block  line-height="1.1">BEZUG: SB INTERNET <xsl:value-of select="/b:Bescheid/b:Geschaeftszahl/text()"/>
											</fo:block>
											<fo:block line-height="1.1">(REFERENCE NUMBER)</fo:block>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
						<fo:block-container white-space-collapse="false" space-before="0mm" text-align="center" width="170mm">
							<fo:block font-size="100%">S T R A F R E G I S T E R B E S C H E I N I G U N G</fo:block>
							<fo:block font-size="100%">(C R I M I N A L   R E C O R D   C E R T I F I C A T E)</fo:block>
						</fo:block-container>
						<fo:block space-before="3mm" width="170mm">
							<fo:table table-layout="fixed" width="100%" border-collapse="separate">
								<fo:table-column column-width="44mm"/>
								<fo:table-column column-width="126mm"/>
								<fo:table-body text-align="start" text-align-last="relative">
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Familienname(n):</fo:block>
											<fo:block line-height="1.1">(Family Name)</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:value-of select="b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:KompakterPersonenName/p:Familienname"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Geschlecht:</fo:block>
											<fo:block line-height="1.1">(Gender:</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:if test="$gender='male'">männlich</xsl:if>
												<xsl:if test="$gender='female'">weiblich</xsl:if>
											</fo:block>
											<fo:block line-height="1.1">
												<xsl:if test="$gender='male'">MALE)</xsl:if>
												<xsl:if test="$gender='female'">FEMALE)</xsl:if>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Vorname(n):</fo:block>
											<fo:block line-height="1.1">(First Name)</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:value-of select="b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:KompakterPersonenName/p:Vorname"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Akad. Grad:</fo:block>
											<fo:block line-height="1.1">(Academic Degree)</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:value-of select="b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:KompakterPersonenName/p:Affix"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Geboren am: </fo:block>
											<fo:block line-height="1.1">(Date of Birth:</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:value-of select="substring(b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geburtsdatum,9,2)"/>.<xsl:value-of select="substring(b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geburtsdatum,6,2)"/>.<xsl:value-of select="substring(b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geburtsdatum,1,4)"/>
												<fo:block>DD.MM.YYYY)</fo:block>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Geburtsort:</fo:block>
											<fo:block line-height="1.1">(Place of Birth)</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:value-of select="b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geburtsort"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<xsl:for-each select="b:Spruch/b:Spruchteil/b:Parteienantrag/b:Textblock/b:Text">
										<fo:table-row>
											<fo:table-cell height="12mm" number-columns-spanned="2">
												<fo:block>
													<xsl:value-of select="."/>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</xsl:for-each>
									<fo:table-row>
										<fo:table-cell height="9mm">
											<fo:block line-height="1.1">DVR:</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">0003506</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Tagesdatum:</fo:block>
											<fo:block line-height="1.1">(Date)</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:value-of select="substring(b:DatumGenehmigung,9,2)"/>.<xsl:value-of select="substring(b:DatumGenehmigung,6,2)"/>.<xsl:value-of select="substring(b:DatumGenehmigung,1,4)"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell height="12mm">
											<fo:block line-height="1.1">Uhrzeit:</fo:block>
											<fo:block line-height="1.1">(Time)</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block line-height="1.1">
												<xsl:value-of select="/b:Bescheid/c:EinsichtsZeit/text()"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
						</fo:block>
						<xsl:if test="/b:Bescheid/b:Signatur/dsig:Signature">
							<fo:table table-layout="fixed" font-size="8pt" space-before="20mm" border-collapse="separate" inline-progression-dimension="17cm" border-style="solid">
								<fo:table-column column-width="4cm"/>
								<fo:table-column column-width="3cm"/>
								<fo:table-column column-width="10cm"/>
								<fo:table-body start-indent="0pt" end-indent="0pt" text-indent="0pt" last-line-end-indent="0pt" text-align="start" text-align-last="relative">
									<fo:table-row>
										<fo:table-cell border="1px" padding="1px" number-rows-spanned="5" border-style="inset" text-align="center">
											<fo:block vertical-align="bottom" display-align="after">
												<fo:external-graphic content-height="1.3in" vertical-align="middle" src="bildmarke_url"/>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell border="1px" padding="1px" border-style="inset" text-align="center">
											<fo:block>
						Verfahren
					</fo:block>
										</fo:table-cell>
										<fo:table-cell border="1px" padding="1px" border-style="inset">
											<fo:block>
												<xsl:value-of select="//b:Bescheid/b:VerfahrensID"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell border="1px" padding="1px" border-style="inset" text-align="center">
											<fo:block>
						Datum
					</fo:block>
										</fo:table-cell>
										<fo:table-cell border="1px" padding="1px" border-style="inset">
											<fo:block>
												<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningTime"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell border="1px" padding="1px" border-style="inset" text-align="center">
											<fo:block>
						Aussteller
					</fo:block>
										</fo:table-cell>
										<fo:table-cell border="1px" padding="1px" border-style="inset">
											<fo:block>
												<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningCertificate/etsi:Cert/etsi:IssuerSerial/dsig:X509IssuerName"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell border="1px" padding="1px" border-style="inset" text-align="center">
											<fo:block>
						Seriennummer
					</fo:block>
										</fo:table-cell>
										<fo:table-cell border="1px" padding="1px" border-style="inset">
											<fo:block>
												<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningCertificate/etsi:Cert/etsi:IssuerSerial/dsig:X509SerialNumber"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell border="1px" padding="1px" border-style="inset" text-align="center">
											<fo:block>
						Signaturwert
					</fo:block>
										</fo:table-cell>
										<fo:table-cell overflow="hidden" border="1px" padding="1px" border-style="inset">
											<fo:block break-before="auto">
												<xsl:value-of select="//dsig:SignatureValue"/>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
									<fo:table-row>
										<fo:table-cell border="1px" padding="1px" number-columns-spanned="3" border-style="inset" wrap-option="wrap">
											<fo:block wrap-option="wrap">
						Dieser Bescheid ist gemäß §20 E-Government-Gesetz (E-GovG) rückführbar. Das Service für die Rückführung und Signaturprüfung kann unter folgender URL abgerufen werden: <fo:basic-link text-decoration="underline" color="blue" external-destination="url('verify_url')">verify_url</fo:basic-link>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
						</xsl:if>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
</xsl:stylesheet>
